#!/bin/bash
#########################################################################
#                                                                       #
#                 Startskript für die SWE KEx DATEX II                  #
#                                                                       #
#  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
#  Gegebenheiten des lokalen Projektes angepasst werden.                #
#                                                                       #
#  Es wird angenommen, dass die Kernsoftware gemeass der allgmeinen Vor-#
#  gaben installiert wurde, insbesondere die Installation der SWE in    # 
#  Einzel-Unterverzeichnissen unter dem Verzeichnis                     # 
#  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
#  lungsdatei "einstellungen.sh" im Verzeichnis "../../skripte-bash"    #
#  relativ zum Verzeichnis, in dem dieses Skript residiert, in dem die  #
#  allgemeinen Parameter für die Datenverteilerkopplung festgelegt sind.#
#                                                                       #
#########################################################################

source ../../skripte-bash/einstellungen.sh


#########################################################################
# Folgende, aus der Datei "einstellungen.sh" uebernommene Parameter,    #
# muessen ueberprueft und evtl. angepasst werden                        #
#########################################################################
# Parameter für den Java-Interpreter
#jvmArgs="-Dfile.encoding=UTF-8"

# Parameter für den Datenverteiler
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester \
#  -authentifizierung=passwd -debugFilePath=.."


#########################################################################
#                                                                       #
#                        Parameter der SWE                              #
#                                                                       #
#########################################################################


#########################################################################
#                                                                       #
#                  Ausfuehrung der Softwareeinheit                      #
#                                                                       #
# Ab hier muessen im Skript keine Aenderungen mehr vorgenommen werden.  #
#                                                                       #
#########################################################################
echo CP: $cp, DAV: $dav1

java $jvmArgs -cp $cp:de.bsvrz.kex.datex2.jar:../de.bsvrz.dav.daf/de.bsvrz.dav.daf-runtime.jar:../de.bsvrz.kex.datex2.plugin.baustellen/de.bsvrz.kex.datex2.plugin.baustellen.jar \
-Djavax.net.ssl.keyStore=/daten/workspace_BIS2/de.bsvrz.kex.datex2.plugin.baustellen/resources/keystore/mdm-productive.jks \
-Djavax.net.ssl.keyStorePassword=changeit \
-Djavax.net.ssl.trustStore=/daten/workspace_BIS2/de.bsvrz.kex.datex2.plugin.baustellen/resources/keystore/mdm-productive.jks \
-Djavax.net.ssl.trustStorePassword=changeit \
-Djavax.net.debug=all \
-Dcom.sun.net.ssl.dhKeyExchangeFix=true \
de.bsvrz.kex.datex2.Verwaltung \
 $dav1 \
-konfigurationsPfad=konfigurationsdateien \
 -debugLevelFileText=ALL \
 -debugLevelStdErrText=ALL \
 -debugSetLoggerAndLevel=:FINER \
&


